import { jsx } from '@emotion/react/jsx-runtime';
import { defineComponent, useEvaluate } from '@qorebase/app-component';
import { Button } from '@chakra-ui/react';

var addToCart = defineComponent({
    name: "Custom Component",
    type: "none",
    icon: "none",
    group: "text",
    defaultProps: {
        title: "This is a title",
    },
    propDefinition: {
        title: { group: "Text", type: "expression", options: {} },
    },
    Component: (props) => {
        const title = useEvaluate(props.properties.title);
        return jsx(Button, { children: title });
    },
});

export { addToCart as default };
